summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <e@80x24.org>2014-08-17 02:33:54 +0000
committerEric Wong <e@80x24.org>2015-04-22 18:55:13 +0000
commite6b0155763d4da0d4925b8a151a99a5180b2439c (patch)
treee023e57de4715f475d3110e84288f897d54700ae
parenteb3daa8cf8d860580db3ca6f22531b051a5d6d76 (diff)
test-unit 3 and minitest 5 will have equal support status as a
bundled gems when Ruby 2.2.0 is released in December 2014.  These
bundled gems will appear in the user-oriented tarball installations,
but do not get installed by "make install" when installing Ruby
from SVN or git.

test-unit appears to be actively maintained and good at keeping
backwards compatibility even on a major version change, so this
means no code changes on our end.  I am not convinced switching to
minitest is worth the effort.

Cc: Ken Dreyer <ktdreyer@ktdreyer.com>
-rw-r--r--unicorn.gemspec1
1 files changed, 1 insertions, 0 deletions
diff --git a/unicorn.gemspec b/unicorn.gemspec
index b24b1ac..9456db2 100644
--- a/unicorn.gemspec
+++ b/unicorn.gemspec
@@ -37,6 +37,7 @@ Gem::Specification.new do |s|
   s.add_dependency(%q<kgio>, '~> 2.6')
   s.add_dependency(%q<raindrops>, '~> 0.7')
 
+  s.add_development_dependency('test-unit', '~> 3.0')
   s.add_development_dependency('wrongdoc', '~> 1.8')
 
   s.licenses = ["GPLv2+", "Ruby 1.8"]